Bug 448448 - Pdflatex cannot make docs with metapost because supp-pdf.tex in texlive-texmf-context is missing
Pdflatex cannot make docs with metapost because supp-pdf.tex in texlive-texmf...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: texlive-texmf (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Jindrich Novy
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-26 19:16 EDT by John D. Ramsdell
Modified: 2013-07-02 19:29 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 11:35:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Doc made from metapost and pdflatex (1.33 KB, application/x-gzip)
2008-05-26 19:16 EDT, John D. Ramsdell
no flags Details
Doc log showing the use of supp-pdf.tex (3.45 KB, text/plain)
2008-05-26 19:17 EDT, John D. Ramsdell
no flags Details

  None (edit)
Description John D. Ramsdell 2008-05-26 19:16:23 EDT
Description of problem:

It's great you now use texlive, however the default installation does not allow
one to use pdflatex to build documents that include MetaPost figures.  The
reason is the release fails to make supp-pdf.tex available.  To fix the problem,
the default release should include texlive-texmf-context.  Any attempt to
install a metapost package should make sure texlive-texmf-context is also installed.


How reproducible:

The attached gzipped tar files includes a LaTeX document with a MetaPost figure.
 Type make in the directory, and then study the file doc.log.

Actual results:

The file supp-pdf.tex is missing

Expected results:

doc.pdf is generated.

Additional info:
Comment 1 John D. Ramsdell 2008-05-26 19:16:23 EDT
Created attachment 306713 [details]
Doc made from metapost and pdflatex
Comment 2 John D. Ramsdell 2008-05-26 19:17:48 EDT
Created attachment 306714 [details]
Doc log showing the use of supp-pdf.tex
Comment 3 Bug Zapper 2009-06-09 21:13:32 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-07-14 11:35:49 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.